MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026720Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-09-25 10:512016-04-20 15:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026720: Coding, STEP - non-conformant names of class fields
DescriptionSome classes in StepDimTol package declare fields with names starting with prefix 'the' which is reserved (according to OCCT coding rules) for arguments of functions. This leads to hiding of class members by function arguments in some methods that follow 'the' convention, reported as warning by Visual Studio 2015, e.g.:

StepDimTol_GeoTolAndGeoTolWthMod.cxx:42: declaration of 'theMagnitude' hides class member

To avoid this, class members should be renamed to start with 'my'.
The relevant classes and fields are:

StepDimTol_CommonDatum.hxx: Handle(StepDimTol_Datum) theDatum;
StepDimTol_Datum.hxx: Handle(TCollection_HAsciiString) theIdentification;
StepDimTol_DatumReference.hxx: Standard_Integer thePrecedence;
StepDimTol_DatumReference.hxx: Handle(StepDimTol_Datum) theReferencedDatum;
StepDimTol_DatumTarget.hxx: Handle(TCollection_HAsciiString) theTargetId;
StepDimTol_GeometricTolerance.hxx: Handle(TCollection_HAsciiString) theName;
StepDimTol_GeometricTolerance.hxx: Handle(TCollection_HAsciiString) theDescription;
StepDimTol_GeometricTolerance.hxx: Handle(StepBasic_MeasureWithUnit) theMagnitude;
StepDimTol_GeometricTolerance.hxx: StepDimTol_GeometricToleranceTarget theTolerancedShapeAspect;
StepDimTol_GeometricToleranceRelationship.hxx: Handle(TCollection_HAsciiString) theName;
StepDimTol_GeometricToleranceRelationship.hxx: Handle(TCollection_HAsciiString) theDescription;
StepDimTol_GeometricToleranceRelationship.hxx: Handle(StepDimTol_GeometricTolerance) theRelatingGeometricTolerance;
StepDimTol_GeometricToleranceRelationship.hxx: Handle(StepDimTol_GeometricTolerance) theRelatedGeometricTolerance;
StepDimTol_GeometricToleranceWithDatumReference.hxx: Handle(StepDimTol_HArray1OfDatumSystemOrReference) theDatumSystem;
StepDimTol_ModifiedGeometricTolerance.hxx: StepDimTol_LimitCondition theModifier;
Steps To ReproduceBuild with VS 2015
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0046580)
git (administrator)
2015-10-08 10:08

Branch CR26720 has been created by rkv.

SHA-1: c41bc8145ec206adaa7936668c6619c225bb8aed


Detailed log of new commits:

Author: rkv
Date: Thu Oct 8 10:06:55 2015 +0300

    0026720: Coding, STEP - non-conformant names of class fields
    
    Names of class fields and method parameters are fixed according to coding standard.
(0046584)
abv (manager)
2015-10-08 10:54

No remarks, please test
(0046605)
git (administrator)
2015-10-08 17:32

Branch CR26720 has been updated forcibly by mkv.

SHA-1: b767854151abd75f197c08ee6a1c112723f6b128
(0046647)
mkv (tester)
2015-10-09 20:19

Dear BugMaster,
Branch CR26720 was rebased on branch IR-2015-10-08 of occt git-repository.
SHA-1: b767854151abd75f197c08ee6a1c112723f6b128
(0046648)
mkv (tester)
2015-10-09 20:19

Dear BugMaster,
Branch CR26720 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b767854151abd75f197c08ee6a1c112723f6b128

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92614750 / 92505313 [+0.12%]
Total CPU difference: 19521.739999999772 / 19399.04000000005 [+0.63%]
products component :
Total MEMORY difference: 26357034 / 26340904 [+0.06%]
Total CPU difference: 7413.829999999995 / 7326.710000000003 [+1.19%]

Testing on Windows:
occt component :
Total MEMORY difference: 58085079 / 58097941 [-0.02%]
Total CPU difference: 18990.09533059883 / 18013.419869898902 [+5.42%]
products component :
Total MEMORY difference: 17182220 / 17187400 [-0.03%]
Total CPU difference: 6074.803740800005 / 5633.211710099969 [+7.84%]

There are no differences in images found by testdiff.
(0046649)
mkv (tester)
2015-10-09 20:19

Dear BugMaster,
Branch CR26720 is TESTED.
(0047099)
git (administrator)
2015-10-16 16:58

Branch CR26720 has been deleted by kgv.

SHA-1: b767854151abd75f197c08ee6a1c112723f6b128

- Related Changesets
occt: master 2f220b97
Timestamp: 2015-10-08 07:06:55
Author: rkv
Committer: bugmaster
Details ] Diff ]
0026720: Coding, STEP - non-conformant names of class fields

Names of class fields and method parameters are fixed according to coding standard.
mod - src/RWStepDimTol/RWStepDimTol_RWDatumReferenceCompartment.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWDatumReferenceElement.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeneralDatumReference.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_CommonDatum.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_CommonDatum.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_Datum.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_Datum.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReference.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReference.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReferenceModifierWithValue.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumReferenceModifierWithValue.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumSystem.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumSystem.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumTarget.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_DatumTarget.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeneralDatumReference.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeneralDatumReference.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricTolerance.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricTolerance.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceRelationship.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceRelationship.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDatumReference.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDatumReference.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDefinedAreaUnit.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDefinedAreaUnit.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDefinedUnit.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithDefinedUnit.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithMaximumTolerance.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithMaximumTolerance.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithModifiers.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithModifiers.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ModifiedGeometricTolerance.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ModifiedGeometricTolerance.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ProjectedZoneDefinition.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ProjectedZoneDefinition.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneDefinition.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneDefinition.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneOrientation.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneOrientation.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZone.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZone.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneDefinition.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneDefinition.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneForm.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneForm.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_UnequallyDisposedGeometricTolerance.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_UnequallyDisposedGeometricTolerance.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-25 10:51 abv New Issue
2015-09-25 10:51 abv Assigned To => gka
2015-09-25 10:52 abv Relationship added related to 0026371
2015-09-25 10:53 abv Assigned To gka => ika
2015-09-25 10:53 abv Status new => assigned
2015-10-07 12:17 abv Assigned To ika => rkv
2015-10-08 10:08 git Note Added: 0046580
2015-10-08 10:09 rkv Assigned To rkv => gka
2015-10-08 10:09 rkv Status assigned => resolved
2015-10-08 10:09 rkv Assigned To gka => abv
2015-10-08 10:54 abv Note Added: 0046584
2015-10-08 10:54 abv Assigned To abv => bugmaster
2015-10-08 10:54 abv Status resolved => reviewed
2015-10-08 14:01 apv Assigned To bugmaster => apv
2015-10-08 17:32 git Note Added: 0046605
2015-10-08 18:58 mkv Assigned To apv => mkv
2015-10-09 20:19 mkv Note Added: 0046647
2015-10-09 20:19 mkv Note Added: 0046648
2015-10-09 20:19 mkv Note Added: 0046649
2015-10-09 20:19 mkv Assigned To mkv => bugmaster
2015-10-09 20:19 mkv Status reviewed => tested
2015-10-09 20:20 mkv Test case number => Not needed
2015-10-16 13:18 bugmaster Changeset attached => occt master 2f220b97
2015-10-16 13:18 bugmaster Status tested => verified
2015-10-16 13:18 bugmaster Resolution open => fixed
2015-10-16 16:58 git Note Added: 0047099
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker